package fr.ul.projet.modele;

import fr.ul.projet.outils.FabriqueIdentifiant;

public class Acces {

    private int id;
    private int xCoinHautGauche, yCoinHautGauche;
    private int xCoinBasDroite, yCoinBasDroite;
    private Piece destination;

    public Acces(Piece dest, int x1, int y1, int x2, int y2){
        this.destination = dest;
        this.xCoinHautGauche = x1;
        this.yCoinHautGauche = y1;
        this.xCoinBasDroite = x2;
        this.yCoinBasDroite = y2;
        this.id = FabriqueIdentifiant.getInstance().getCptAcces();
    }

    public int getId() {
        return this.id;
    }

    public int getXCoinBasDroite() {
        return this.xCoinBasDroite;
    }

    public void setxCoinBasDroite(int xCoinBasDroite) {
        this.xCoinBasDroite = xCoinBasDroite;
    }

    public int getXCoinHautGauche() {
        return this.xCoinHautGauche;
    }

    public void setxCoinHautGauche(int xCoinHautGauche) {
        this.xCoinHautGauche = xCoinHautGauche;
    }

    public int getYCoinBasDroite() {
        return this.yCoinBasDroite;
    }

    public void setyCoinBasDroite(int yCoinBasDroite) {
        this.yCoinBasDroite = yCoinBasDroite;
    }

    public int getYCoinHautGauche() {
        return this.yCoinHautGauche;
    }

    public void setyCoinHautGauche(int yCoinHautGauche) {
        this.yCoinHautGauche = yCoinHautGauche;
    }

    public Piece getDestination() {
        return this.destination;
    }

    public void setDestination(Piece destination) {
        this.destination = destination;
    }
}
