package fr.ul.projet.outils;

public class FabriqueIdentifiant {
    private int cptPiece;
    private int cptJson;
    private int cptAcces;
    static FabriqueIdentifiant instance;
    public FabriqueIdentifiant(){
        cptPiece = 0;
        cptJson=1;
        cptAcces = 0;
    }
    public static FabriqueIdentifiant getInstance(){
        if (instance == null){
            instance = new FabriqueIdentifiant();
        }
        return instance;
    }
    public int getIdentifiantPiece(){
        cptPiece++;
        return cptPiece;
    }
    public int getCptJson(){
        cptJson++;
        return cptJson;
    }
    public int getCptAcces(){
        cptAcces++;
        return cptAcces;
    }
    public static void reset(){
        int cpt = getInstance().getCptJson();
        instance = new FabriqueIdentifiant();
        instance.cptJson=cpt-1;
    }
}

